curl --request POST \
--url https://app.silnahealth.com/api/public/v1/benefits-checks/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"patient_plan_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"specialties": [
"PHYSICAL_THERAPY"
],
"template_id": null,
"diagnosis_code_ids": null,
"network_status_override": null,
"procedure_group_ids": null
}
'import requests
url = "https://app.silnahealth.com/api/public/v1/benefits-checks/"
payload = {
"patient_plan_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"specialties": ["PHYSICAL_THERAPY"],
"template_id": None,
"diagnosis_code_ids": None,
"network_status_override": None,
"procedure_group_ids": None
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
patient_plan_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
specialties: ['PHYSICAL_THERAPY'],
template_id: null,
diagnosis_code_ids: null,
network_status_override: null,
procedure_group_ids: null
})
};
fetch('https://app.silnahealth.com/api/public/v1/benefits-checks/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"benefits_check_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
]
}{
"message": "<string>"
}{
"message": "<string>",
"type": "AUTH_INVALID_REQUEST_HEADER"
}{
"message": "<string>"
}Create Benefits Check
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Unique key to prevent duplicate requests. We support keys up to 255 characters.
1 - 255Body
Benefits Check Create Request Schema
Benefits Check Create Request Schema
Patient Plan ID
List of specialties to create benefits check for
PHYSICAL_THERAPY, ABA_THERAPY, SPEECH_THERAPY, OCCUPATIONAL_THERAPY, PSYCHOLOGICAL_TESTING, HOME_HEALTH_CARE, HOSPICE, CARDIAC_REHABILITATION, INTENSIVE_CARDIAC_REHABILITATION, MENTAL_HEALTH, PRINCIPAL_ILLNESS_NAVIGATION, PRINCIPAL_CARE_MANAGEMENT, ADVANCED_PRIMARY_CARE_MODELS, PREVENTATIVE_HEALTH, PARTIAL_HOSPITALIZATION_PROGRAM, INTENSIVE_OUTPATIENT_PROGRAM, INTERVENTIONAL_RADIOLOGY, VASCULAR_SURGERY, INTERVENTIONAL_CARDIOLOGY, ORTHOPEDICS, CHIROPRACTIC, GYNECOLOGY, LONG_TERM_CARE, NUTRITIONAL_COUNSELING, PHYSICAL_MEDICINE, PULMONARY_REHABILITATION, INJECTABLE_SPECIALTY_MEDICATIONS, ALLERGY_TESTING, SKILLED_NURSING, RADIOLOGY, OTOLARYNGOLOGY, DURABLE_MEDICAL_EQUIPMENT, DERMATOLOGY, PROFESSIONAL_OFFICE_VISIT, PSYCHIATRY, PRIVATE_DUTY_NURSING ["PHYSICAL_THERAPY"]
Benefits Check Template ID
List of diagnosis code IDs to use for this benefits check. If provided, only these diagnosis codes will be attached. If not provided, all diagnosis codes from the patient record will be used.
Override the network status for this benefits check. If provided, the benefits check will use this network status instead of determining it automatically.
IN_NETWORK, OUT_OF_NETWORK Procedure group IDs defining the CPT codes this benefits check is verified against. Each procedure group must be configured for one of the requested specialties, and the benefits check template used for this request must allow procedure group selection. Use GET /procedure-groups to look up IDs, optionally by exact CPT codes.
Response
Benefits Check Create Response Schema
Benefits Check Create Response Schema
List of created benefits check IDs